Update Wallet
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/updateWallet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"name": "<string>",
"walletAddress": "<string>",
"network": "<string>",
"twoFactorCode": "<string>",
"memo": "<string>",
"orgNetworkID": "<string>",
"walletTypeCustomID": "<string>",
"tokenTypeID": "<string>",
"destinationTag": 123
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/updateWallet"
payload = {
"name": "<string>",
"walletAddress": "<string>",
"network": "<string>",
"twoFactorCode": "<string>",
"memo": "<string>",
"orgNetworkID": "<string>",
"walletTypeCustomID": "<string>",
"tokenTypeID": "<string>",
"destinationTag": 123
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
walletAddress: '<string>',
network: '<string>',
twoFactorCode: '<string>',
memo: '<string>',
orgNetworkID: '<string>',
walletTypeCustomID: '<string>',
tokenTypeID: '<string>',
destinationTag: 123
})
};
fetch('https://app.toku.com/api/tokuApi/v1/updateWallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"walletID": "770e8400-e29b-41d4-a716-446655440002",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"name": "Primary ETH Wallet",
"network": "Ethereum",
"status": "CURRENT",
"nickName": "My Ledger",
"roleInOrgID": "660e8400-e29b-41d4-a716-446655440001",
"orgNetworkID": "880e8400-e29b-41d4-a716-446655440003",
"tokenTypeID": "990e8400-e29b-41d4-a716-446655440004"
},
"walletRequest": {}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Wallets
Update Wallet
Updates an existing wallet.
POST
/
updateWallet
Update Wallet
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
⌘I
